{
  lib,
  pkgs,
  config,
  ...
}: let
  inherit (lib) mkIf;
  inherit (config) versions;
  cfg = config.conf.fedi.iceshrimp;
  iceshrimp = pkgs.callPackage ./iceshrimp.nix {version = versions.iceshrimp;};
in
  mkIf cfg.enable {
    environment.systemPackages = [iceshrimp];
  }
